commit 9d43cd02c6e53155916ac0e2f8bdc48b6703771c
Author: Alexandre Oliva <oliva@adacore.com>
Date:   Tue May 30 23:46:26 2023

    [libstdc++] [testsuite] xfail double-prec from_chars for x86_64 ldbl
    
    When long double is wider than double, but from_chars is implemented
    in terms of double, tests that involve the full precision of long
    double are expected to fail.  Mark them as such on x86_64-*-vxworks*.
    
    for  libstdc++-v3/ChangeLog
    
            * testsuite/20_util/from_chars/4.cc: Skip long double test06
            on x86_64-vxworks.
            * testsuite/20_util/to_chars/long_double.cc: Xfail run on
            x86_64-vxworks.
    
    (cherry picked from commit 282e4e745981c5c6e3edaae315e1f499a45402df)

diff --git a/libstdc++-v3/testsuite/20_util/from_chars/4.cc b/libstdc++-v3/testsuite/20_util/from_chars/4.cc
index 6c840ece802..495f22c365d 100644
--- a/libstdc++-v3/testsuite/20_util/from_chars/4.cc
+++ b/libstdc++-v3/testsuite/20_util/from_chars/4.cc
@@ -18,7 +18,7 @@
 // <charconv> is supported in C++14 as a GNU extension
 // { dg-do run { target c++14 } }
 // { dg-add-options ieee }
-// { dg-additional-options "-DSKIP_LONG_DOUBLE" { target aarch64-*-vxworks* } }
+// { dg-additional-options "-DSKIP_LONG_DOUBLE" { target aarch64-*-vxworks* x86_64-*-vxworks* } }
 
 #include <charconv>
 #include <string>
diff --git a/libstdc++-v3/testsuite/20_util/to_chars/long_double.cc b/libstdc++-v3/testsuite/20_util/to_chars/long_double.cc
index 01bfec79bb1..133410a8dbb 100644
--- a/libstdc++-v3/testsuite/20_util/to_chars/long_double.cc
+++ b/libstdc++-v3/testsuite/20_util/to_chars/long_double.cc
@@ -36,7 +36,7 @@
 
 // On systems that use double-precision from_chars for long double,
 // this is expected to fail.
-// { dg-xfail-run-if "from_chars limited to double-precision" { aarch64-*-vxworks* i*86-*-vxworks* } }
+// { dg-xfail-run-if "from_chars limited to double-precision" { aarch64-*-vxworks* i*86-*-vxworks* x86_64-*-vxworks* } }
 
 // { dg-require-effective-target ieee_floats }
 // { dg-require-effective-target size32plus }

